package es.uv.saic.domain;

import java.math.BigInteger;
import java.sql.Timestamp;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.IdClass;
import jakarta.persistence.NamedQuery;
import jakarta.persistence.Table;
import jakarta.persistence.Temporal;
import jakarta.persistence.TemporalType;

@Entity
@Table(name="tasquesi_ver")
@IdClass(InstanciaTascaVerPK.class)
@NamedQuery(name="InstanciaTascaVer.findAll", query="SELECT n FROM InstanciaTascaVer n")
public class InstanciaTascaVer {

    @Id
    @Column(name="id_tascai")
	private BigInteger idInstanciaTasca;

    @Id
    @Temporal(TemporalType.TIMESTAMP)
	@Column(name="data_mod")
	private Timestamp dataMod;
    
    private String usuari;

    private String text;

    public InstanciaTascaVer(){}

    public InstanciaTascaVer(BigInteger idInstanciaTasca, String usuari, String text, Timestamp dataMod) {
        this.idInstanciaTasca = idInstanciaTasca;
        this.usuari = usuari;
        this.text = text;
        this.dataMod = dataMod;
    }

    public BigInteger getIdInstanciaTasca() {
        return idInstanciaTasca;
    }

    public void setIdInstanciaTasca(BigInteger idInstanciaTasca) {
        this.idInstanciaTasca = idInstanciaTasca;
    }

    public String getUsuari() {
        return usuari;
    }

    public void setUsuari(String usuari) {
        this.usuari = usuari;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public Timestamp getDataMod() {
        return dataMod;
    }

    public void setDataMod(Timestamp dataMod) {
        this.dataMod = dataMod;
    }

    

}
